Skip to content
Console

List operators

GET
/api/v1/operators
curl --request GET \
--url 'https://api.inside.chat/api/v1/operators?website_id=example' \
--header 'Authorization: Bearer <token>'

Required scopes: directory_read, contact_read_pii
Data access: pii
MCP tool: operators

List the website’s permitted operator directory.

website_id
required
string
/^web_[0-9]{1,20}_[1-9][0-9]{0,18}$/

An explicitly granted website.

Authorized result. Projection depends on current scopes and data policy.

Media typeapplication/json

Operators visible to this installation. Channel restrictions apply.

object
data
required
object
data
required
Array<object>
object
id
required
string
/^opr_/
display_name
Any of:
string
status
Any of:
string
available
Any of:
boolean
connected
Any of:
boolean
channel_id
Any of:
integer
channel_name
Any of:
string
channel_number
Any of:
integer
active_conversations
Any of:
integer
is_bot
boolean
look
Any of:

Sanitised avatar settings.

object

Example generated

{
"data": {
"data": [
{
"id": "example",
"display_name": "example",
"status": "example",
"available": true,
"connected": true,
"channel_id": 1,
"channel_name": "example",
"channel_number": 1,
"active_conversations": 1,
"is_bot": true,
"look": {}
}
]
}
}

Invalid, duplicate or unsupported request parameters.

Missing, expired or revoked installation credential.

Resource not found or not permitted by current authority.

The requested capability is not available for application installations.

Per-app quota exceeded.

Retry-After
integer
>= 1

Enrollment, native service or required authority is unavailable.